eID middleware |

# be.portugal.eid.PTEID_CertifType Class Reference

Class that holds the possible certificate types. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_CertifType | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_CertifType | PTEID_CERTIF_TYPE_UNKNOWN = new PTEID_CertifType("PTEID_CERTIF_TYPE_UNKNOWN")
| UNKNOWN certificate.
static final PTEID_CertifType | PTEID_CERTIF_TYPE_RRN = new PTEID_CertifType("PTEID_CERTIF_TYPE_RRN")
| RRN certificate.
static final PTEID_CertifType | PTEID_CERTIF_TYPE_ROOT = new PTEID_CertifType("PTEID_CERTIF_TYPE_ROOT")
| Root certificate.
static final PTEID_CertifType | PTEID_CERTIF_TYPE_CA = new PTEID_CertifType("PTEID_CERTIF_TYPE_CA")
| CA certificate.
static final PTEID_CertifType | PTEID_CERTIF_TYPE_AUTHENTICATION = new PTEID_CertifType("PTEID_CERTIF_TYPE_AUTHENTICATION")
| Authentication certificate.
static final PTEID_CertifType | PTEID_CERTIF_TYPE_SIGNATURE = new PTEID_CertifType("PTEID_CERTIF_TYPE_SIGNATURE")
| Signature certificate.

## Detailed Description

Class that holds the possible certificate types.

## Member Function Documentation

static PTEID_CertifType be.portugal.eid.PTEID_CertifType.swigToEnum | ( | int | swigValue | ) | `[static]`

Referenced by be.portugal.eid.PTEID_Certificate.getType().

final int be.portugal.eid.PTEID_CertifType.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_CertifType.toString | ( |  | ) |

## Member Data Documentation

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_AUTHENTICATION = new PTEID_CertifType("PTEID_CERTIF_TYPE_AUTHENTICATION")`[static]`

Authentication certificate.

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_CA = new PTEID_CertifType("PTEID_CERTIF_TYPE_CA")`[static]`

CA certificate.

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_ROOT = new PTEID_CertifType("PTEID_CERTIF_TYPE_ROOT")`[static]`

Root certificate.

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_RRN = new PTEID_CertifType("PTEID_CERTIF_TYPE_RRN")`[static]`

RRN certificate.

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_SIGNATURE = new PTEID_CertifType("PTEID_CERTIF_TYPE_SIGNATURE")`[static]`

Signature certificate.

final PTEID_CertifType be.portugal.eid.PTEID_CertifType.PTEID_CERTIF_TYPE_UNKNOWN = new PTEID_CertifType("PTEID_CERTIF_TYPE_UNKNOWN")`[static]`

UNKNOWN certificate.